import numpy as np
import pytest
import platform

from scipy.special import _test_round

if platform.machine().startswith('arm'):
    pytest.skip("rounding tests known to fail on armel", allow_module_level=True)

@pytest.mark.skipif(not _test_round.have_fenv(), reason="no fenv()")
def test_add_round_up():
    np.random.seed(1234)
    _test_round.test_add_round(10**5, 'up')


@pytest.mark.skipif(not _test_round.have_fenv(), reason="no fenv()")
def test_add_round_down():
    np.random.seed(1234)
    _test_round.test_add_round(10**5, 'down')
